Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeMouseAdapter

    java.lang.Object
      org.apache.batik.gvt.event.GraphicsNodeMouseAdapter

All Implemented Interfaces:
  EventListener, GraphicsNodeMouseListener

    public abstract class GraphicsNodeMouseAdapter

extends Object
implements GraphicsNodeMouseListener

An abstract adapter class for receiving graphics node mouse events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `GraphicsNodeMouseEvent` listener and override the methods for the events of interest. (If you implement the `GraphicsNodeMouseListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Constructor Summary
`GraphicsNodeMouseAdapter()`

Method Summary
`void` | `mouseClicked(GraphicsNodeMouseEvent evt)` Invoked when the mouse has been clicked on a graphics node.
`void` | `mouseDragged(GraphicsNodeMouseEvent evt)` Invoked when a mouse button is pressed on a graphics node and then dragged.
`void` | `mouseEntered(GraphicsNodeMouseEvent evt)` Invoked when the mouse enters a graphics node.
`void` | `mouseExited(GraphicsNodeMouseEvent evt)` Invoked when the mouse exits a graphics node.
`void` | `mouseMoved(GraphicsNodeMouseEvent evt)` Invoked when the mouse button has been moved on a node.
`void` | `mousePressed(GraphicsNodeMouseEvent evt)` Invoked when a mouse button has been pressed on a graphics node.
`void` | `mouseReleased(GraphicsNodeMouseEvent evt)` Invoked when a mouse button has been released on a graphics node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsNodeMouseAdapter

    public GraphicsNodeMouseAdapter()

Method Detail

### mouseClicked

    public void mouseClicked(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse has been clicked on a graphics node.

  Specified by:
    `mouseClicked` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mousePressed

    public void mousePressed(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when a mouse button has been pressed on a graphics node.

  Specified by:
    `mousePressed` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseReleased

    public void mouseReleased(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when a mouse button has been released on a graphics node.

  Specified by:
    `mouseReleased` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseEntered

    public void mouseEntered(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse enters a graphics node.

  Specified by:
    `mouseEntered` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseExited

    public void mouseExited(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse exits a graphics node.

  Specified by:
    `mouseExited` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseDragged

    public void mouseDragged(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when a mouse button is pressed on a graphics node and then dragged.

  Specified by:
    `mouseDragged` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseMoved

    public void mouseMoved(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse button has been moved on a node.

  Specified by:
    `mouseMoved` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.